<div class="main-wrapper profile-page">
  <div *ngIf="user; else noUserFoundTemplate" class="profile-page-container">
    <aside class="profile-page__section">
      <img class="profile-page__image"
           [src]="getUserProfileImage()"
           aria-hidden="true">

      <h1>{{ user.firstName }} {{ user.lastName }}</h1>
      <p>{{ user.email }}</p>

      <button mat-button (click)="goToSettings()">
        <span class="profile-page__icon-button">
          <mat-icon>settings</mat-icon>
          {{ 'profile_page.settings' | translate }}
        </span>
      </button>
    </aside>

    <div>
      <section class="profile-page__section">
        <h2>{{ 'profile_page.favourites' | translate }}</h2>
        <app-map-objects-list [objects]="(favoriteObjects$ | async) || []"></app-map-objects-list>
      </section>

      <section class="profile-page__section">
        <h2>{{ 'profile_page.reviews' | translate }}</h2>
        <app-reviews-list [reviews]="(reviews$ | async) || []"></app-reviews-list>
      </section>
    </div>
  </div>

  <ng-template #noUserFoundTemplate>
    <h1>{{ 'profile_page.no_user_found_title' | translate }}</h1>
    <p>{{ 'profile_page.no_user_found_message' | translate }}</p>
  </ng-template>
</div>
